## media-downloader-dmo 2.1.1

=== CMakeLists.txt ===
﻿cmake_minimum_required(VERSION 3.0.2)

project(media-downloader LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set( PGR_VERSION "2.1.1" )
set( COPYRIGHT_YEARS "2021" )

INCLUDE(GNUInstallDirs)

if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
    add_definitions(-Qunused-arguments)
endif()

if(WIN32)
else()
    #This is necessary with whatever version of cmake that is in debian 8
    add_definitions(-std=c++14)
endif()

find_package(Qt5 COMPONENTS Core Widgets Network REQUIRED)

include_directories(${PROJECT_BINARY_DIR})

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

set(UI_FILES
    src/mainwindow.ui
    src/logwindow.ui)

set(MOC_FILES
    src/mainwindow.h
    src/logwindow.h
    src/basicdownloader.h
    src/batchdownloader.h
    src/configure.h
    src/library.h
    src/playlistdownloader.h)

set(SRC
    src/mainwindow.cpp
    src/logwindow.cpp
    src/main.cpp
    src/settings.cpp
    src/utility.cpp
    src/basicdownloader.cpp
    src/about.cpp
    src/batchdownloader.cpp
    src/tabmanager.cpp
    src/configure.cpp
    src/translator.cpp
    src/playlistdownloader.cpp
    src/networkAccess.cpp
    src/logger.cpp
    src/engines.cpp
    src/tableWidget.cpp
    src/library.cpp
    src/downloadmanager.cpp
    src/engines/youtube-dl.cpp
    src/engines/safaribooks.cpp
    src/engines/generic.cpp
    src/engines/aria2c.cpp
    src/engines/gallery-dl.cpp)

set(RESOURCES
    src/icon.qrc
    src/3rdParty/BreezeStyleSheets/breeze.qrc
    src/3rdParty/QDarkStyleSheet-3.0.2/qdarkstyle/dark/style.qrc )

if(WIN32)
    set(APP_ICON_RESOURCE_WINDOWS "${CMAKE_CURRENT_SOURCE_DIR}/src/appicon.rc")
    add_executable(media-downloader WIN32 ${SRC} ${MOC_FILES} ${UI_FILES} ${RESOURCES} ${APP_ICON_RESOURCE_WINDOWS})
    set_target_properties(media-downloader PROPERTIES COMPILE_FLAGS "-Wextra -Wall -s -pedantic")
else()
    add_executable(media-downloader ${SRC} ${MOC_FILES} ${UI_FILES} ${RESOURCES})
    set_target_properties(media-downloader PROPERTIES COMPILE_FLAGS "-Wextra -Wall -s -fPIC -pedantic")
endif()

target_link_libraries(media-downloader Qt5::Widgets Qt5::Core Qt5::Network)

install(TARGETS media-downloader RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

install(FILES src/media-downloader.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
install(FILES src/media-downloader.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/pixmaps)

install(DIRECTORY translations DESTINATION ${CMAKE_INSTALL_DATADIR}/media-downloader FILES_MATCHING PATTERN "*.qm")

file(WRITE ${PROJECT_BINARY_DIR}/locale_path.h "\n#define TRANSLATION_PATH \"${CMAKE_INSTALL_FULL_DATADIR}/media-downloader/translations/\"\n")

file(WRITE ${PROJECT_BINARY_DIR}/version.h
"
#define VERSION \"${PGR_VERSION}\"
#define QTVERSION \"${Qt5Core_VERSION}\"
#define COPYRIGHT \"${COPYRIGHT_YEARS}\"
")

if(WIN32)
    find_path(libstdc_PATH libstdc++-6.dll)
    find_path(gcc_PATH gcc.exe)
    find_path(windeployqt_PATH windeployqt.exe PATHS "${CMAKE_PREFIX_PATH}/bin")

    file(WRITE ${PROJECT_BINARY_DIR}/media-downloader.exe.local "")

    file(WRITE ${PROJECT_BINARY_DIR}/media-downloader_installer_commands.txt
"
set PATH=${gcc_PATH};${libstdc_PATH};%PATH%\r\n
${windeployqt_PATH}/windeployqt --release media-downloader.exe\r\n
")

file(WRITE ${PROJECT_BINARY_DIR}/media-downloader_windows_installer.iss
"
; Script generated by the Inno Setup Script Wizard.
; SEE THE DOCUMENTATION FOR DETAILS ON CREATING INNO SETUP SCRIPT FILES!

#define MyAppName \"Media Downloader\"
#define MyAppVersion \"${PGR_VERSION}\"
#define MyAppPublisher \"Francis Banyikwa\"
#define MyAppURL \"https://github.com/mhogomchungu/media-downloader\"
#define MyAppExeName \"media-downloader.exe\"
#define MyLibrariesLocation \"C:\\projects\\media-downloader.libraries.Qt-${Qt5Core_VERSION}\\\"
#define MyEXELocation \"${PROJECT_BINARY_DIR}\\media-downloader.exe\"
#define MyBuildPath \"${PROJECT_BINARY_DIR}\"
#define MyOutPutPath  \"C:\\projects\\media-downloader.installer\\Qt-${Qt5Core_VERSION}\"
#define MySourcesPath \"C:\\projects\\media-downloader\\\"

[Setup]
AppId={{6DD595EF-ECA2-481B-B008-CB7302603A0D}
AppName={#MyAppName}
AppVersion={#MyAppVersion}
;AppVerName={#MyAppName} {#MyAppVersion}
AppPublisher={#MyAppPublisher}
AppPublisherURL={#MyAppURL}
AppSupportURL={#MyAppURL}
AppUpdatesURL={#MyAppURL}
DefaultDirName={pf}\\{#MyAppName}
LicenseFile={#MySourcesPath}\\LICENSE.txt
OutputDir={#MyOutPutPath}
SetupIconFile={#MySourcesPath}\\src\\media-downloader.ico
Compression=lzma
SolidCompression=yes
DisableProgramGroupPage=yes
OutputBaseFilename=MediaDownloader-${PGR_VERSION}.setup

[Tasks]
Name: \"desktopicon\"; Description: \"{cm:CreateDesktopIcon}\"; GroupDescription: \"{cm:AdditionalIcons}\"; Flags: unchecked
Name: \"quicklaunchicon\"; Description: \"{cm:CreateQuickLaunchIcon}\"; GroupDescription: \"{cm:AdditionalIcons}\"; Flags: unchecked; OnlyBelowVersion: 0,6.1

[Files]
Source: {#MyEXELocation}; DestDir: {app}; Flags: ignoreversion
Source: {#MyBuildPath}\\media-downloader.exe.local; DestDir: {app}; Flags: ignoreversion

Source: {#MyLibrariesLocation}\\*.dll; DestDir: {app} ; Flags: ignoreversion

Source: {#MySourcesPath}\\LICENSE.txt; DestDir: {app}; Flags: ignoreversion

Source: {#MyLibrariesLocation}\\bearer\\* ; DestDir: {app}\\bearer; Flags: ignoreversion

Source: {#MyLibrariesLocation}\\iconengines\\* ; DestDir: {app}\\iconengines; Flags: ignoreversion

Source: {#MyLibrariesLocation}\\imageformats\\*; DestDir: {app}\\imageformats; Flags: ignoreversion

Source: {#MyLibrariesLocation}\\styles\\*; DestDir: {app}\\styles; Flags: ignoreversion

Source: {#MyLibrariesLocation}\\platforms\\*; DestDir: {app}\\platforms; Flags: ignoreversion

Source: {#MyLibrariesLocation}\\3rdParty\\*; DestDir: {app}\\3rdParty; Flags: ignoreversion recursesubdirs

; Source: {#MyLibrariesLocation}\\translations\\*; DestDir: {app}\\translations; Flags: ignoreversion

Source: {#MySourcesPath}\\translations\\*.qm; DestDir: {app}\\translations; Flags: ignoreversion

Source: {#MySourcesPath}\\src\\media-downloader.ico; DestDir: {app}\\icons; Flags: ignoreversion

; NOTE: Don't use \"Flags: ignoreversion\" on any shared system files

[Icons]
Name: \"{commonprograms}\\{#MyAppName}\"; Filename: \"{app}\\{#MyAppExeName}\"; IconFilename: \"{app}\\icons\\media-downloader.ico\"; WorkingDir: \"{app}\"
;Name: \"{commonprograms}\\Uninstall {#MyAppName}\"; Filename: \"{uninstallexe}\"; IconFilename: \"{app}\\icons\\media-downloader.ico\"; WorkingDir: \"{app}\"

Name: \"{commondesktop}\\{#MyAppName}\"; Filename: \"{app}\\{#MyAppExeName}\"; IconFilename: \"{app}\\icons\\media-downloader.ico\"; WorkingDir: \"{app}\"; Tasks: desktopicon
Name: \"{userappdata}\\Microsoft\\Internet Explorer\\Quick Launch\\{#MyAppName}\"; Filename: \"{app}\\{#MyAppExeName}\"; IconFilename: \"{app}\\icons\\media-downloade.ico\"; WorkingDir: \"{app}\"; Tasks: quicklaunchicon

[Run]
Filename: \"{app}\\{#MyAppExeName}\"; Description: \"{cm:LaunchProgram,{#StringChange(MyAppName, '&', '&&')}}\"; Flags: nowait postinstall skipifsilent

[Languages]
Name: \"english\"; MessagesFile: \"compiler:Default.isl\"
Name: \"brazilianportuguese\"; MessagesFile: \"compiler:Languages\\BrazilianPortuguese.isl\"
Name: \"catalan\"; MessagesFile: \"compiler:Languages\\Catalan.isl\"
Name: \"corsican\"; MessagesFile: \"compiler:Languages\\Corsican.isl\"
Name: \"czech\"; MessagesFile: \"compiler:Languages\\Czech.isl\"
Name: \"danish\"; MessagesFile: \"compiler:Languages\\Danish.isl\"
Name: \"dutch\"; MessagesFile: \"compiler:Languages\\Dutch.isl\"
Name: \"finnish\"; MessagesFile: \"compiler:Languages\\Finnish.isl\"
Name: \"french\"; MessagesFile: \"compiler:Languages\\French.isl\"
Name: \"german\"; MessagesFile: \"compiler:Languages\\German.isl\"
Name: \"hebrew\"; MessagesFile: \"compiler:Languages\\Hebrew.isl\"
Name: \"italian\"; MessagesFile: \"compiler:Languages\\Italian.isl\"
Name: \"japanese\"; MessagesFile: \"compiler:Languages\\Japanese.isl\"
Name: \"norwegian\"; MessagesFile: \"compiler:Languages\\Norwegian.isl\"
Name: \"polish\"; MessagesFile: \"compiler:Languages\\Polish.isl\"
Name: \"portuguese\"; MessagesFile: \"compiler:Languages\\Portuguese.isl\"
Name: \"russian\"; MessagesFile: \"compiler:Languages\\Russian.isl\"
Name: \"slovenian\"; MessagesFile: \"compiler:Languages\\Slovenian.isl\"
Name: \"spanish\"; MessagesFile: \"compiler:Languages\\Spanish.isl\"
Name: \"turkish\"; MessagesFile: \"compiler:Languages\\Turkish.isl\"
Name: \"ukrainian\"; MessagesFile: \"compiler:Languages\\Ukrainian.isl\"
")

endif()

=== debian/changelog ===
media-downloader-dmo (2.1.1-dmo0+deb11u2) oldstable; urgency=medium

  * Uses system yt-dlp

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 01 Oct 2023 15:55:40 +0200

media-downloader-dmo (2.1.1-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Dec 2021 11:02:15 +0100

media-downloader-dmo (1.7.0-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 02 Oct 2021 23:26:37 +0200

media-downloader-dmo (1.6.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 04 Aug 2021 14:33:51 +0200

media-downloader-dmo (1.5.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 Jul 2021 17:21:45 +0200

media-downloader-dmo (1.4.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 01 Jun 2021 16:13:27 +0200

media-downloader-dmo (1.3.0-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 05 May 2021 11:04:20 +0200

=== debian/control ===
Source: media-downloader-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/mhogomchungu/media-downloader
Rules-Requires-Root: no
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qtbase5-dev, quilt

Package: media-downloader
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yt-dlp
Description: yt-dlp Qt frontend.
 The GUI can be used to download any media supported by yt-dlp.
 .
 The GUI can show all available media a url can offer.
 .
 The GUI allows user to choose what media entry offered by a url they want
 to download.
 .
 The GUI offers a preset list of options to choose from to select what media
 entry offered by a url they want to download.
 .
 The GUI offers an ability to change preset options or add new ones making
 it possible to use the GUI to automate any use case supported by yt-dlp.
 .
 The GUI offers an ability to download single media or multiple medias in
 batches.
 .
 The GUI has a json based plugin system and can configured to download media
 using other tools other than yt-dlp.

## media-downloader-dmo 3.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(media-downloader LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set( PGR_VERSION "3.1.0" )
set( COPYRIGHT_YEARS "2021-2023" )

INCLUDE(GNUInstallDirs)

if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_definitions(-Qunused-arguments)
endif()

if(${CMAKE_VERSION} VERSION_LESS "3.1.0")
    message("Warning your cmake version is too old(<3.1.0) and code my not compile")
    add_definitions(-std=c++14)
endif()

find_package(Qt5 COMPONENTS Core Widgets Network REQUIRED)

include_directories(${PROJECT_BINARY_DIR})

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

set(UI_FILES
    src/mainwindow.ui
    src/logwindow.ui)

if(Qt5Core_VERSION VERSION_LESS 5.4.0)
    set(MOC_FILES
        src/mainwindow.h
        src/logwindow.h
        src/basicdownloader.h
        src/batchdownloader.h
        src/configure.h
        src/library.h
        src/playlistdownloader.h
        src/utils/single_instance.hpp)
else()
    set(MOC_FILES
        src/mainwindow.h
        src/logwindow.h
        src/basicdownloader.h
        src/batchdownloader.h
        src/configure.h
        src/library.h
        src/playlistdownloader.h)
endif()

set(SRC
    src/mainwindow.cpp
    src/logwindow.cpp
    src/main.cpp
    src/settings.cpp
    src/utility.cpp
    src/basicdownloader.cpp
    src/about.cpp
    src/themes.cpp
    src/batchdownloader.cpp
    src/tabmanager.cpp
    src/directoryEntries.cpp
    src/configure.cpp
    src/versionInfo.cpp
    src/translator.cpp
    src/playlistdownloader.cpp
    src/networkAccess.cpp
    src/logger.cpp
    src/engines.cpp
    src/tableWidget.cpp
    src/library.cpp
    src/engines/tests.cpp
    src/engines/yt-dlp.cpp
    src/engines/safaribooks.cpp
    src/engines/generic.cpp
    src/engines/aria2c.cpp
    src/engines/lux.cpp
    src/engines/wget.cpp
    src/engines/svtplay-dl.cpp
    src/engines/you-get.cpp
    src/engines/gallery-dl.cpp)

set(RESOURCES src/icon.qrc )

if(WIN32)
    set(APP_ICON_RESOURCE_WINDOWS "${CMAKE_CURRENT_SOURCE_DIR}/src/appicon.rc")
    add_executable(media-downloader WIN32 ${SRC} ${MOC_FILES} ${UI_FILES} ${RESOURCES} ${APP_ICON_RESOURCE_WINDOWS})
    set_target_properties(media-downloader PROPERTIES COMPILE_FLAGS "-Wextra -Wall -s -pedantic")
else()
    add_executable(media-downloader ${SRC} ${MOC_FILES} ${UI_FILES} ${RESOURCES})
    set_target_properties(media-downloader PROPERTIES COMPILE_FLAGS "-Wextra -Wall -s -fPIC -pedantic")
endif()

target_link_libraries(media-downloader Qt5::Widgets Qt5::Core Qt5::Network)

install(TARGETS media-downloader RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

install(FILES src/media-downloader.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
install(FILES src/media-downloader.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/pixmaps)

install(DIRECTORY translations DESTINATION ${CMAKE_INSTALL_DATADIR}/media-downloader FILES_MATCHING PATTERN "*.qm")

file(WRITE ${PROJECT_BINARY_DIR}/locale_path.h "\n#define TRANSLATION_PATH \"${CMAKE_INSTALL_FULL_DATADIR}/media-downloader/translations/\"\n")

file(WRITE ${PROJECT_BINARY_DIR}/version.h
"
#define VERSION \"${PGR_VERSION}\"
#define QTVERSION \"${Qt5Core_VERSION}\"
#define COPYRIGHT \"${COPYRIGHT_YEARS}\"
")

if(WIN32)
    find_path(libstdc_PATH libstdc++-6.dll)
    find_path(gcc_PATH gcc.exe)
    find_path(windeployqt_PATH windeployqt.exe PATHS "${CMAKE_PREFIX_PATH}/bin")

    file(WRITE ${PROJECT_BINARY_DIR}/media-downloader_installer_commands.txt
"
set PATH=${gcc_PATH};${libstdc_PATH};%PATH%\r\n
${windeployqt_PATH}/windeployqt --release media-downloader.exe\r\n
")

file(WRITE ${PROJECT_BINARY_DIR}/media-downloader_windows_installer.iss
"
; Script generated by the Inno Setup Script Wizard.
; SEE THE DOCUMENTATION FOR DETAILS ON CREATING INNO SETUP SCRIPT FILES!

#define MyAppName            \"Media Downloader\"
#define MyAppVersion         \"${PGR_VERSION}\"
#define MyAppPublisher       \"Francis Banyikwa\"
#define MyAppURL             \"https://github.com/mhogomchungu/media-downloader\"
#define MyAppExeName         \"media-downloader.exe\"
#define MyAppCopyright       \"${COPYRIGHT_YEARS}, Francis Banyikwa\"
#define MyLibrariesLocation  \"C:\\projects\\media-downloader.libraries.Qt-${Qt5Core_VERSION}\\\"
#define MyEXELocation        \"${PROJECT_BINARY_DIR}\\media-downloader.exe\"
#define MyBuildPath          \"${PROJECT_BINARY_DIR}\"
#define MyOutPutPath         \"C:\\projects\\media-downloader.installer\\Qt-${Qt5Core_VERSION}\"
#define MySourcesPath        \"C:\\projects\\media-downloader\\\"

[Setup]
AppId={{6DD595EF-ECA2-481B-B008-CB7302603A0D}
AppName={#MyAppName}
AppVersion={#MyAppVersion}
AppVerName={#MyAppName} {#MyAppVersion}
AppCopyright={#MyAppCopyright}
AppPublisher={#MyAppPublisher}
AppPublisherURL={#MyAppURL}
AppSupportURL={#MyAppURL}
AppUpdatesURL={#MyAppURL}
VersionInfoDescription={#MyAppName} installer
VersionInfoProductName={#MyAppName} {#MyAppVersion}
VersionInfoVersion={#MyAppVersion}.0
UninstallDisplayName={#MyAppName}
UninstallDisplayIcon={#MySourcesPath}\\src\\media-downloader.ico

DefaultDirName={pf}\\{#MyAppName}
LicenseFile={#MySourcesPath}\\LICENSE.txt
OutputDir={#MyOutPutPath}
SetupIconFile={#MySourcesPath}\\src\\media-downloader.ico
Compression=lzma
SolidCompression=yes
DisableProgramGroupPage=yes
OutputBaseFilename=MediaDownloader-${PGR_VERSION}.setup

[Tasks]
Name: \"desktopicon\"; Description: \"{cm:CreateDesktopIcon}\"; GroupDescription: \"{cm:AdditionalIcons}\"; Flags: unchecked
Name: \"quicklaunchicon\"; Description: \"{cm:CreateQuickLaunchIcon}\"; GroupDescription: \"{cm:AdditionalIcons}\"; Flags: unchecked; OnlyBelowVersion: 0,6.1

[Files]
Source: {#MyEXELocation}; DestDir: {app}; Flags: ignoreversion
Source: {#MyLibrariesLocation}\\*.dll; DestDir: {app} ; Flags: ignoreversion
Source: {#MySourcesPath}\\LICENSE.txt; DestDir: {app}; Flags: ignoreversion
Source: {#MyLibrariesLocation}\\bearer\\* ; DestDir: {app}\\bearer; Flags: ignoreversion
Source: {#MyLibrariesLocation}\\iconengines\\* ; DestDir: {app}\\iconengines; Flags: ignoreversion
Source: {#MyLibrariesLocation}\\imageformats\\*; DestDir: {app}\\imageformats; Flags: ignoreversion
Source: {#MyLibrariesLocation}\\styles\\*; DestDir: {app}\\styles; Flags: ignoreversion
Source: {#MyLibrariesLocation}\\platforms\\*; DestDir: {app}\\platforms; Flags: ignoreversion
Source: {#MyLibrariesLocation}\\3rdParty\\*; DestDir: {app}\\3rdParty; Flags: ignoreversion recursesubdirs
Source: {#MySourcesPath}\\translations\\*; DestDir: {app}\\translations; Flags: ignoreversion
Source: {#MySourcesPath}\\src\\media-downloader.ico; DestDir: {app}\\icons; Flags: ignoreversion

; NOTE: Don't use \"Flags: ignoreversion\" on any shared system files

[Icons]
Name: \"{commonprograms}\\{#MyAppName}\"; Filename: \"{app}\\{#MyAppExeName}\"; IconFilename: \"{app}\\icons\\media-downloader.ico\"; WorkingDir: \"{app}\"
;Name: \"{commonprograms}\\Uninstall {#MyAppName}\"; Filename: \"{uninstallexe}\"; IconFilename: \"{app}\\icons\\media-downloader.ico\"; WorkingDir: \"{app}\"
Name: \"{commondesktop}\\{#MyAppName}\"; Filename: \"{app}\\{#MyAppExeName}\"; IconFilename: \"{app}\\icons\\media-downloader.ico\"; WorkingDir: \"{app}\"; Tasks: desktopicon
Name: \"{userappdata}\\Microsoft\\Internet Explorer\\Quick Launch\\{#MyAppName}\"; Filename: \"{app}\\{#MyAppExeName}\"; IconFilename: \"{app}\\icons\\media-downloade.ico\"; WorkingDir: \"{app}\"; Tasks: quicklaunchicon

[Run]
Filename: \"{app}\\{#MyAppExeName}\"; Description: \"{cm:LaunchProgram,{#StringChange(MyAppName, '&', '&&')}}\"; Flags: nowait postinstall skipifsilent

[Languages]
Name: \"english\"             ; MessagesFile: \"compiler:Default.isl\"
Name: \"brazilianportuguese\" ; MessagesFile: \"compiler:Languages\\BrazilianPortuguese.isl\"
Name: \"catalan\"             ; MessagesFile: \"compiler:Languages\\Catalan.isl\"
Name: \"corsican\"            ; MessagesFile: \"compiler:Languages\\Corsican.isl\"
Name: \"czech\"               ; MessagesFile: \"compiler:Languages\\Czech.isl\"
Name: \"danish\"              ; MessagesFile: \"compiler:Languages\\Danish.isl\"
Name: \"dutch\"               ; MessagesFile: \"compiler:Languages\\Dutch.isl\"
Name: \"finnish\"             ; MessagesFile: \"compiler:Languages\\Finnish.isl\"
Name: \"french\"              ; MessagesFile: \"compiler:Languages\\French.isl\"
Name: \"german\"              ; MessagesFile: \"compiler:Languages\\German.isl\"
Name: \"hebrew\"              ; MessagesFile: \"compiler:Languages\\Hebrew.isl\"
Name: \"italian\"             ; MessagesFile: \"compiler:Languages\\Italian.isl\"
Name: \"japanese\"            ; MessagesFile: \"compiler:Languages\\Japanese.isl\"
Name: \"norwegian\"           ; MessagesFile: \"compiler:Languages\\Norwegian.isl\"
Name: \"polish\"              ; MessagesFile: \"compiler:Languages\\Polish.isl\"
Name: \"portuguese\"          ; MessagesFile: \"compiler:Languages\\Portuguese.isl\"
Name: \"russian\"             ; MessagesFile: \"compiler:Languages\\Russian.isl\"
Name: \"slovenian\"           ; MessagesFile: \"compiler:Languages\\Slovenian.isl\"
Name: \"spanish\"             ; MessagesFile: \"compiler:Languages\\Spanish.isl\"
Name: \"turkish\"             ; MessagesFile: \"compiler:Languages\\Turkish.isl\"
Name: \"ukrainian\"           ; MessagesFile: \"compiler:Languages\\Ukrainian.isl\"
")

endif()

=== debian/changelog ===
media-downloader-dmo (3.1.0-dmo1+deb12u1) stable; urgency=medium

  * Uses system yt-dlp

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 01 Oct 2023 15:38:48 +0200

media-downloader-dmo (3.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 04 Apr 2023 09:01:19 +0200

media-downloader-dmo (3.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Apr 2023 12:05:41 +0200

media-downloader-dmo (2.9.0-dmo1) unstable; urgency=medium

  * New upstream release.
  * Required minimum version of yt-dlp is 2023.01.06

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Mar 2023 08:43:33 +0100

media-downloader-dmo (2.8.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 Jan 2023 13:09:08 +0100

media-downloader-dmo (2.7.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 10 Nov 2022 13:12:50 +0100

media-downloader-dmo (2.6.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Oct 2022 13:17:01 +0200

media-downloader-dmo (2.5.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Aug 2022 08:38:19 +0200

media-downloader-dmo (2.4.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 01 Jul 2022 13:27:17 +0200

media-downloader-dmo (2.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 01 May 2022 09:32:10 +0200

media-downloader-dmo (2.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 04 Mar 2022 00:40:45 +0100

media-downloader-dmo (2.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Jan 2022 10:03:46 +0100

media-downloader-dmo (2.1.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 03 Dec 2021 09:08:38 +0100

media-downloader-dmo (2.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 01 Dec 2021 09:05:44 +0100

media-downloader-dmo (2.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 03 Nov 2021 15:34:07 +0100

media-downloader-dmo (1.9.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Oct 2021 07:56:21 +0200

media-downloader-dmo (1.8.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 13 Oct 2021 09:27:40 +0200

media-downloader-dmo (1.7.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 02 Oct 2021 23:12:07 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/mhogomchungu/media-downloader
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qtbase5-dev, quilt
 
 Package: media-downloader
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, yt-dlp
+Depends: ${shlibs:Depends}, ${misc:Depends}, yt-dlp (>= 1:2023.01.06~)
 Description: yt-dlp Qt frontend.
  The GUI can be used to download any media supported by yt-dlp.
  .

## media-downloader-dmo 5.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,8 @@
-cmake_minimum_required(VERSION 3.0.2)
+if(${CMAKE_VERSION} VERSION_GREATER "3.26")
+    cmake_minimum_required(VERSION 3.26.0)
+else()
+    cmake_minimum_required(VERSION 3.0.2)
+endif()
 
 project(media-downloader LANGUAGES CXX)
 
@@ -10,8 +14,8 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
-set( PGR_VERSION "3.1.0" )
-set( COPYRIGHT_YEARS "2021-2023" )
+set( PGR_VERSION "5.4.2" )
+set( COPYRIGHT_YEARS "2021-2025" )
 
 INCLUDE(GNUInstallDirs)
 
@@ -24,7 +28,34 @@
     add_definitions(-std=c++14)
 endif()
 
-find_package(Qt5 COMPONENTS Core Widgets Network REQUIRED)
+option(BUILD_WITH_QT6 "Build with Qt 6" OFF)
+
+if(BUILD_WITH_QT6)
+    find_package(Qt6 COMPONENTS Core Widgets Network REQUIRED )
+    message("-- Building With Qt6")
+else()
+    find_package(Qt5 COMPONENTS Core QUIET)
+    if(Qt5_FOUND)
+        message("-- Building With Qt5")
+        set(BUILD_WITH_QT6 OFF)
+        find_package(Qt5 COMPONENTS Core Widgets Network REQUIRED)
+    else()
+        find_package(Qt6 COMPONENTS Core QUIET)
+        if(Qt6_FOUND)
+            message("-- Building With Qt6")
+            set(BUILD_WITH_QT6 ON)
+            find_package(Qt6 COMPONENTS Core Widgets Network REQUIRED)
+    else()
+        message( FATAL_ERROR "-- Failed to find Qt5 or Qt6")
+        endif()
+    endif()
+endif()
+
+if(BUILD_FLATPAK)
+    file( WRITE  ${PROJECT_BINARY_DIR}/flatpak.h "\n#define FLATPAK 1\n" )
+else()
+    file( WRITE  ${PROJECT_BINARY_DIR}/flatpak.h "\n#define FLATPAK 0\n" )
+endif()
 
 include_directories(${PROJECT_BINARY_DIR})
 
@@ -40,26 +71,15 @@
     src/mainwindow.ui
     src/logwindow.ui)
 
-if(Qt5Core_VERSION VERSION_LESS 5.4.0)
-    set(MOC_FILES
-        src/mainwindow.h
-        src/logwindow.h
-        src/basicdownloader.h
-        src/batchdownloader.h
-        src/configure.h
-        src/library.h
-        src/playlistdownloader.h
-        src/utils/single_instance.hpp)
-else()
-    set(MOC_FILES
-        src/mainwindow.h
-        src/logwindow.h
-        src/basicdownloader.h
-        src/batchdownloader.h
-        src/configure.h
-        src/library.h
-        src/playlistdownloader.h)
-endif()
+set(MOC_FILES
+    src/mainwindow.h
+    src/logwindow.h
+    src/basicdownloader.h
+    src/batchdownloader.h
+    src/configure.h
+    src/library.h
+    src/playlistdownloader.h
+    src/utils/single_instance.hpp)
 
 set(SRC
     src/mainwindow.cpp
@@ -67,8 +87,10 @@
     src/main.cpp
     src/settings.cpp
     src/utility.cpp
+    src/proxy.cpp
     src/basicdownloader.cpp
     src/about.cpp
+    src/reportFinished.cpp
     src/themes.cpp
     src/batchdownloader.cpp
     src/tabmanager.cpp
@@ -100,40 +122,87 @@
     add_executable(media-downloader WIN32 ${SRC} ${MOC_FILES} ${UI_FILES} ${RESOURCES} ${APP_ICON_RESOURCE_WINDOWS})
     set_target_properties(media-downloader PROPERTIES COMPILE_FLAGS "-Wextra -Wall -s -pedantic")
 else()
-    add_executable(media-downloader ${SRC} ${MOC_FILES} ${UI_FILES} ${RESOURCES})
-    set_target_properties(media-downloader PROPERTIES COMPILE_FLAGS "-Wextra -Wall -s -fPIC -pedantic")
-endif()
-
-target_link_libraries(media-downloader Qt5::Widgets Qt5::Core Qt5::Network)
-
-install(TARGETS media-downloader RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
-
-install(FILES src/media-downloader.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
-install(FILES src/media-downloader.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/pixmaps)
+    if(APPLE)
+        set(icon "${CMAKE_CURRENT_SOURCE_DIR}/src/media-downloader.icns")
+        add_executable(MediaDownloader MACOSX_BUNDLE ${SRC} ${MOC_FILES} ${UI_FILES} ${RESOURCES} ${icon})
+        set_target_properties(MediaDownloader PROPERTIES MACOSX_BUNDLE ON)
+        set_target_properties(MediaDownloader PROPERTIES COMPILE_FLAGS "-Wextra -Wall -s -fPIC -pedantic")
+    else()
+        add_executable(media-downloader ${SRC} ${MOC_FILES} ${UI_FILES} ${RESOURCES})
+        set_target_properties(media-downloader PROPERTIES COMPILE_FLAGS "-Wextra -Wall -s -fPIC -pedantic")
+    endif()
+endif()
+
+if(BUILD_WITH_QT6)
+    if(WIN32)
+        target_link_libraries(media-downloader Advapi32.lib Dwmapi.lib Iphlpapi.lib Qt6::Widgets Qt6::Core Qt6::Network)
+    else()
+        if(APPLE)
+            target_link_libraries(MediaDownloader Qt6::Widgets Qt6::Core Qt6::Network)
+        else()
+            target_link_libraries(media-downloader Qt6::Widgets Qt6::Core Qt6::Network)
+        endif()
+    endif()
+else()
+    if(WIN32)
+        target_link_libraries(media-downloader Advapi32.lib Dwmapi.lib Iphlpapi.lib Qt5::Widgets Qt5::Core Qt5::Network)
+    else()
+        if(APPLE)
+             target_link_libraries(MediaDownloader Qt5::Widgets Qt5::Core Qt5::Network)
+        else()
+            target_link_libraries(media-downloader Qt5::Widgets Qt5::Core Qt5::Network)
+        endif()
+    endif()
+endif()
+
+if(APPLE)
+else()
+    if(BUILD_FLATPAK)
+        set_target_properties( media-downloader PROPERTIES OUTPUT_NAME io.github.mhogomchungu.media-downloader)
+        install(TARGETS media-downloader RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
+        install(FILES src/flatpak/io.github.mhogomchungu.media-downloader.metainfo.xml DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo)
+        install(FILES src/flatpak/io.github.mhogomchungu.media-downloader.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/512x512/apps)
+        install(FILES src/flatpak/io.github.mhogomchungu.media-downloader.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
+    else()
+        install(TARGETS media-downloader RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
+        install(FILES src/media-downloader.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
+        install(FILES src/media-downloader.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/pixmaps)
+    endif()
+endif()
 
 install(DIRECTORY translations DESTINATION ${CMAKE_INSTALL_DATADIR}/media-downloader FILES_MATCHING PATTERN "*.qm")
 
 file(WRITE ${PROJECT_BINARY_DIR}/locale_path.h "\n#define TRANSLATION_PATH \"${CMAKE_INSTALL_FULL_DATADIR}/media-downloader/translations/\"\n")
+
+set( OutputBaseFilename "MediaDownloader-${PGR_VERSION}.setup" )
+
+if(OUTPUT_BASE_NAME)
+    set(OutputBaseFilename ${OUTPUT_BASE_NAME})
+endif()
+
+if(BUILD_WITH_QT6)
 
 file(WRITE ${PROJECT_BINARY_DIR}/version.h
 "
-#define VERSION \"${PGR_VERSION}\"
+#define VERSION \"${PGR_VERSION}.git_tag\"
+#define QTVERSION \"${Qt6Core_VERSION}\"
+#define COPYRIGHT \"${COPYRIGHT_YEARS}\"
+")
+
+else()
+file(WRITE ${PROJECT_BINARY_DIR}/version.h
+"
+#define VERSION \"${PGR_VERSION}.git_tag\"
 #define QTVERSION \"${Qt5Core_VERSION}\"
 #define COPYRIGHT \"${COPYRIGHT_YEARS}\"
 ")
-
-if(WIN32)
-    find_path(libstdc_PATH libstdc++-6.dll)
-    find_path(gcc_PATH gcc.exe)
-    find_path(windeployqt_PATH windeployqt.exe PATHS "${CMAKE_PREFIX_PATH}/bin")
-
-    file(WRITE ${PROJECT_BINARY_DIR}/media-downloader_installer_commands.txt
-"
-set PATH=${gcc_PATH};${libstdc_PATH};%PATH%\r\n
-${windeployqt_PATH}/windeployqt --release media-downloader.exe\r\n
-")
-
-file(WRITE ${PROJECT_BINARY_DIR}/media-downloader_windows_installer.iss
+endif()
+
+file(WRITE ${PROJECT_BINARY_DIR}/VERSION_INFO "${PGR_VERSION}")
+
+if(BUILD_WITH_QT6)
+
+file(WRITE ${PROJECT_BINARY_DIR}/media-downloader_windows_installer_Qt6.iss
 "
 ; Script generated by the Inno Setup Script Wizard.
 ; SEE THE DOCUMENTATION FOR DETAILS ON CREATING INNO SETUP SCRIPT FILES!
@@ -144,11 +213,11 @@
 #define MyAppURL             \"https://github.com/mhogomchungu/media-downloader\"
 #define MyAppExeName         \"media-downloader.exe\"
 #define MyAppCopyright       \"${COPYRIGHT_YEARS}, Francis Banyikwa\"
-#define MyLibrariesLocation  \"C:\\projects\\media-downloader.libraries.Qt-${Qt5Core_VERSION}\\\"
 #define MyEXELocation        \"${PROJECT_BINARY_DIR}\\media-downloader.exe\"
 #define MyBuildPath          \"${PROJECT_BINARY_DIR}\"
-#define MyOutPutPath         \"C:\\projects\\media-downloader.installer\\Qt-${Qt5Core_VERSION}\"
-#define MySourcesPath        \"C:\\projects\\media-downloader\\\"
+#define MyLibrariesLocation  \"${LIBRARIES_LOCATION}\"
+#define MyOutPutPath         \"${OUTPUT_PATH}\"
+#define MySourcesPath        \"${SOURCE_PATH}\"
 
 [Setup]
 AppId={{6DD595EF-ECA2-481B-B008-CB7302603A0D}
@@ -161,10 +230,10 @@
 AppSupportURL={#MyAppURL}
 AppUpdatesURL={#MyAppURL}
 VersionInfoDescription={#MyAppName} installer
-VersionInfoProductName={#MyAppName} {#MyAppVersion}
+VersionInfoProductName={#MyAppName}
 VersionInfoVersion={#MyAppVersion}.0
 UninstallDisplayName={#MyAppName}
-UninstallDisplayIcon={#MySourcesPath}\\src\\media-downloader.ico
+UninstallDisplayIcon={app}\\{#MyAppExeName}
 
 DefaultDirName={pf}\\{#MyAppName}
 LicenseFile={#MySourcesPath}\\LICENSE.txt
@@ -173,7 +242,7 @@
 Compression=lzma
 SolidCompression=yes
 DisableProgramGroupPage=yes
-OutputBaseFilename=MediaDownloader-${PGR_VERSION}.setup
+OutputBaseFilename=${OutputBaseFilename}
 
 [Tasks]
 Name: \"desktopicon\"; Description: \"{cm:CreateDesktopIcon}\"; GroupDescription: \"{cm:AdditionalIcons}\"; Flags: unchecked
@@ -183,11 +252,13 @@
 Source: {#MyEXELocation}; DestDir: {app}; Flags: ignoreversion
 Source: {#MyLibrariesLocation}\\*.dll; DestDir: {app} ; Flags: ignoreversion
 Source: {#MySourcesPath}\\LICENSE.txt; DestDir: {app}; Flags: ignoreversion
-Source: {#MyLibrariesLocation}\\bearer\\* ; DestDir: {app}\\bearer; Flags: ignoreversion
 Source: {#MyLibrariesLocation}\\iconengines\\* ; DestDir: {app}\\iconengines; Flags: ignoreversion
 Source: {#MyLibrariesLocation}\\imageformats\\*; DestDir: {app}\\imageformats; Flags: ignoreversion
 Source: {#MyLibrariesLocation}\\styles\\*; DestDir: {app}\\styles; Flags: ignoreversion
 Source: {#MyLibrariesLocation}\\platforms\\*; DestDir: {app}\\platforms; Flags: ignoreversion
+Source: {#MyLibrariesLocation}\\generic\\*; DestDir: {app}\\generic; Flags: ignoreversion
+Source: {#MyLibrariesLocation}\\tls\\*; DestDir: {app}\\tls; Flags: ignoreversion
+Source: {#MyLibrariesLocation}\\networkinformation\\*; DestDir: {app}\\networkinformation; Flags: ignoreversion
 Source: {#MyLibrariesLocation}\\3rdParty\\*; DestDir: {app}\\3rdParty; Flags: ignoreversion recursesubdirs
 Source: {#MySourcesPath}\\translations\\*; DestDir: {app}\\translations; Flags: ignoreversion
 Source: {#MySourcesPath}\\src\\media-downloader.ico; DestDir: {app}\\icons; Flags: ignoreversion
@@ -220,11 +291,3 @@
 Name: \"norwegian\"           ; MessagesFile: \"compiler:Languages\\Norwegian.isl\"
 Name: \"polish\"              ; MessagesFile: \"compiler:Languages\\Polish.isl\"
 Name: \"portuguese\"          ; MessagesFile: \"compiler:Languages\\Portuguese.isl\"
-Name: \"russian\"             ; MessagesFile: \"compiler:Languages\\Russian.isl\"
-Name: \"slovenian\"           ; MessagesFile: \"compiler:Languages\\Slovenian.isl\"
-Name: \"spanish\"             ; MessagesFile: \"compiler:Languages\\Spanish.isl\"
-Name: \"turkish\"             ; MessagesFile: \"compiler:Languages\\Turkish.isl\"
-Name: \"ukrainian\"           ; MessagesFile: \"compiler:Languages\\Ukrainian.isl\"
-")
-
-endif()

=== debian/changelog ===
media-downloader-dmo (1:5.4.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 02 Aug 2025 00:12:31 +0200

media-downloader-dmo (1:5.4.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 12 Jul 2025 00:14:05 +0200

media-downloader-dmo (1:5.4.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 29 May 2025 14:31:28 +0200

media-downloader-dmo (1:5.3.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 21 May 2025 15:39:19 +0200

media-downloader-dmo (1:5.3.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 24 Mar 2025 13:07:43 +0100

media-downloader-dmo (1:5.3.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 11 Mar 2025 23:52:47 +0100

media-downloader-dmo (1:5.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Mar 2025 08:53:18 +0100

media-downloader-dmo (1:5.2.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 09 Feb 2025 08:44:16 +0100

media-downloader-dmo (1:5.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 31 Jan 2025 14:45:11 +0100

media-downloader-dmo (1:5.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 06 Nov 2024 02:08:50 +0100

media-downloader-dmo (1:5.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 05 Sep 2024 15:40:48 +0200

media-downloader-dmo (1:5.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 21 Aug 2024 00:17:08 +0200

media-downloader-dmo (1:5.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 16 Aug 2024 15:44:12 +0200

media-downloader-dmo (1:4.9.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 Aug 2024 11:50:29 +0200

media-downloader-dmo (1:4.8.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 03 Jul 2024 12:36:34 +0200

media-downloader-dmo (1:4.7.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 25 May 2024 00:37:22 +0200

media-downloader-dmo (1:4.6.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 03 May 2024 15:00:47 +0200

media-downloader-dmo (1:4.5.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 02 Apr 2024 00:00:10 +0200

media-downloader-dmo (1:4.4.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 04 Mar 2024 08:47:26 +0100

media-downloader-dmo (1:4.3.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 02 Feb 2024 09:08:03 +0100

media-downloader-dmo (1:4.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 Feb 2024 08:49:52 +0100

media-downloader-dmo (1:4.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 03 Jan 2024 01:03:05 +0100

media-downloader-dmo (1:4.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 01 Dec 2023 13:11:09 +0100

media-downloader-dmo (1:4.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Nov 2023 13:53:25 +0100

media-downloader-dmo (3.4.0-dmo2) unstable; urgency=medium

  * Uses system yt-dlp

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 01 Oct 2023 15:14:03 +0200

media-downloader-dmo (3.4.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 01 Oct 2023 12:50:26 +0200

media-downloader-dmo (3.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 01 Aug 2023 13:14:17 +0200

media-downloader-dmo (3.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 30 Jun 2023 13:04:54 +0200

media-downloader-dmo (3.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 25 Jun 2023 15:55:14 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/mhogomchungu/media-downloader
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qtbase5-dev, quilt
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qtbase5-dev,
+ quilt
 
 Package: media-downloader
 Architecture: any

=== debian/watch ===
version=4

#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \

https://github.com/mhogomchungu/media-downloader/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## media-downloader-dmo 5.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
-set( PGR_VERSION "5.4.2" )
+set( PGR_VERSION "5.4.3" )
 set( COPYRIGHT_YEARS "2021-2025" )
 
 INCLUDE(GNUInstallDirs)

=== debian/changelog ===
media-downloader-dmo (1:5.4.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 01 Oct 2025 16:47:11 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_test:

## media-downloader-dmo 5.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
-set( PGR_VERSION "5.4.3" )
+set( PGR_VERSION "5.4.4" )
 set( COPYRIGHT_YEARS "2021-2025" )
 
 INCLUDE(GNUInstallDirs)
@@ -113,7 +113,9 @@
     src/engines/wget.cpp
     src/engines/svtplay-dl.cpp
     src/engines/you-get.cpp
-    src/engines/gallery-dl.cpp)
+    src/engines/getsauce.cpp
+    src/engines/gallery-dl.cpp
+    src/engines/deno.cpp)
 
 set(RESOURCES src/icon.qrc )
 
@@ -290,4 +292,3 @@
 Name: \"japanese\"            ; MessagesFile: \"compiler:Languages\\Japanese.isl\"
 Name: \"norwegian\"           ; MessagesFile: \"compiler:Languages\\Norwegian.isl\"
 Name: \"polish\"              ; MessagesFile: \"compiler:Languages\\Polish.isl\"
-Name: \"portuguese\"          ; MessagesFile: \"compiler:Languages\\Portuguese.isl\"

=== debian/changelog ===
media-downloader-dmo (1:5.4.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 12 Nov 2025 09:05:22 +0100

## media-downloader-dmo 5.4.5

=== debian/changelog ===
media-downloader-dmo (1:5.4.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 15 Nov 2025 14:14:31 +0100

## media-downloader-dmo 5.4.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
-set( PGR_VERSION "5.4.4" )
+set( PGR_VERSION "5.4.6" )
 set( COPYRIGHT_YEARS "2021-2025" )
 
 INCLUDE(GNUInstallDirs)
@@ -115,6 +115,7 @@
     src/engines/you-get.cpp
     src/engines/getsauce.cpp
     src/engines/gallery-dl.cpp
+    src/engines/quickjs.cpp
     src/engines/deno.cpp)
 
 set(RESOURCES src/icon.qrc )

=== debian/changelog ===
media-downloader-dmo (1:5.4.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 17 Nov 2025 14:42:27 +0100

## media-downloader-dmo 5.4.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,8 +14,8 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
-set( PGR_VERSION "5.4.6" )
-set( COPYRIGHT_YEARS "2021-2025" )
+set( PGR_VERSION "5.4.7" )
+set( COPYRIGHT_YEARS "2021-2026" )
 
 INCLUDE(GNUInstallDirs)

=== debian/changelog ===
media-downloader-dmo (1:5.4.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 13 Jan 2026 08:39:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: media-downloader-dmo
 Section: video
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/mhogomchungu/media-downloader
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qtbase5-dev,
  quilt

## media-downloader-dmo 5.4.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
-set( PGR_VERSION "5.4.7" )
+set( PGR_VERSION "5.4.8" )
 set( COPYRIGHT_YEARS "2021-2026" )
 
 INCLUDE(GNUInstallDirs)

=== debian/changelog ===
media-downloader-dmo (1:5.4.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 21 Jan 2026 23:40:46 +0100
